%define name luminance
%define version 2.3.1

Summary:  Luminance HDR
Name:    %{name}
Version: %{version}
Release: %mkrel 7
Group:   Graphics
URL:     http://qtpfsgui.sourceforge.net/
Source0: http://sourceforge.net/projects/qtpfsgui/files/luminance/luminance-hdr-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License: GPLv2
#--------------------------------
BuildRequires: cmake
BuildRequires: desktop-file-utils
BuildRequires: LibRaw-devel
BuildRequires: icu-data
BuildRequires: libgomp-devel
BuildRequires: %{_lib}OpenEXR-devel
BuildRequires: %{_lib}boost-devel
BuildRequires: %{_lib}exiv2-devel
BuildRequires: %{_lib}fftw-devel
BuildRequires: %{_lib}gsl-devel
BuildRequires: %{_lib}ilmbase-devel
BuildRequires: %{_lib}jpeg-devel
BuildRequires: %{_lib}lcms2-devel
BuildRequires: %{_lib}png-devel
BuildRequires: %{_lib}qt4-devel
BuildRequires: %{_lib}tiff-devel
BuildRequires: %{_lib}qtwebkit4-devel
#--------------------------------
Obsoletes: %name < %version

%description
Graphical user interface (based on the Qt4 toolkit) that
provides a workflow for HDR imaging.

Supported HDR formats:
* OpenEXR (extension: exr, linux and Mac OS X only)
* Radiance RGBE (extension: hdr)
* Tiff formats: 16bit, 32bit (float) and LogLuv (extension: tiff)
* Raw image formats (extension: various)
* PFS native format (extension: pfs)

Supported LDR formats:
* JPEG, PNG, PPM, PBM, TIFF

Supported features:
* Create an HDR file from a set of images (JPEG, TIFF 8bit and 16bit, RAW)
of the same scene taken at different exposure setting
* Save and load HDR files
* Rotate and resize HDR files
* Tonemap HDR images
* Projective Transformations
* Copy EXIF data between sets of images
* Supports internationalization


%prep
%setup -q -n luminance-hdr-%{version}


%build
cmake -DCMAKE_INSTALL_PREFIX=/usr -DUPDATE_TRANSLATIONS=ON


%make build
%install
rm -rf %buildroot
%makeinstall_std build

desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics;Utility" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*


%clean
rm -rf %buildroot


%files
%doc README LICENSE Changelog AUTHORS BUGS
%defattr(-,root,root)
%_bindir/*
%_datadir/luminance-hdr
%_datadir/applications/*
%_datadir/icons/hicolor/*/*/*

%changelog
* Thu Aug 10 2017 bb2 <bb2> - 2.3.1-7pclos2017
- rebuild against updates

* Wed Jan 04 2017 bb <bb> 2.3.1-6pclos2017
- rebuild new gsl

* Tue May 24 2016 bb <bb> 2.3.1-5pclos2016
- rebuild new LibRaw

* Tue Feb 29 2016 woodhead <pp> 2.3.1-4pclos2016
- rebuild against new libs

* Thu Feb 06 2014 bb <bb> 2.3.1-3pclos2014
- rebuild for new LibRaw


